kcapi_kpp_ecdh_setcurve
Prev | Key Protocol Primitives API - Generic | Next

## Name

kcapi_kpp_ecdh_setcurve — set the ECC curve to be used for ECDH

## Synopsis

`int kcapi_kpp_ecdh_setcurve (` | struct kcapi_handle * handle,
| unsigned long curve_id`)`;

## Arguments

`handle`

  [in] cipher handle

`curve_id`

  [in] ID of the ECC curve

## Description

With this function, the caller sets the ECC curve for subsequent cipher operations. The curve ID is one of the ECC_CURVE_* identifiers.

Note, this function defines that the subsequent key generation and shared secret operation performs an ECC Diffie-Hellman operation.

`return` 0 upon success; a negative errno-style error code if an error occurred

Prev | Up | Next
kcapi_kpp_dh_setparam_pkcs3 | Home | kcapi_kpp_setkey